:root {
  --bg-cream: #fffdf2;
  --primary-yellow: #ffcf33;
  --input-border: #ffcf33;
  --text-dark: #333;
  --shadow: 0 4px 15px rgba(0, 0, 0, 0.1);
  --link-blue: #0056b3;
  --border-light: #fcd12a;
  --shadow-color: rgba(0, 0, 0, 0.1);
}

body {
  margin: 0;
  padding: 0;
  font-family: "Segoe UI", Tahoma, Geneva, Verdana, sans-serif;
  background-color: var(--bg-cream);
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 100vh;
  padding:30px 0;
}

.login-card {
  background-color: #fff;
  width: 100%;
  max-width: 420px;
  padding: 40px;
  border-radius: 8px;
  box-shadow: var(--shadow);
  text-align: center;
}

.logo {
  width: 180px;
  margin-bottom: 20px;
}

h2 {
  text-align: left;
  font-weight: 500;
  margin-bottom: 25px;
  color: var(--text-dark);
  font-size: 24px;
}

.form-group {
  margin-bottom: 15px;
  position: relative;
  text-align: left;
}

.form-row {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 15px;
  margin-bottom: 15px;
}

input,
select {
  width: 100%;
  padding: 15px;
  border: 1px solid var(--input-border);
  border-radius: 8px;
  font-size: 14px;
  box-sizing: border-box;
  outline: none;
}

.password-container {
  position: relative;
}

.eye-icon {
  position: absolute;
  right: 15px;
  top: 50%;
  transform: translateY(-50%);
  color: #888;
  cursor: pointer;
  background: #eee;
  padding: 5px;
  border-radius: 50%;
}

.forgot-link {
  display: block;
  text-align: right;
  color: var(--primary-yellow);
  text-decoration: none;
  font-size: 13px;
  margin-bottom: 25px;
  font-weight: 500;
}

.custom-btn {
  width: 100%;
  background-color: var(--primary-yellow);
  color: var(--text-dark);
  border: none;
  padding: 15px;
  border-radius: 8px;
  font-size: 14px;
  font-weight: bold;
  cursor: pointer;
  text-transform: uppercase;
  transition: background 0.3s;
}

.custom-btn:hover {
  background-color: #e6b82e;
}

.footer-text {
  margin-top: 25px;
  font-size: 14px;
  color: var(--text-dark);
}

.footer-text a {
  color: var(--primary-yellow);
  text-decoration: none;
  font-weight: 500;
}

.send-otp {
  position: absolute;
  right: 18px;
  top: 50%;
  transform: translateY(-50%);
  color: var(--link-blue);
  text-decoration: none;
  font-size: 14px;
  font-weight: 500;
}

.register-wrapper {
  background-color: #ffffff;
  width: 90%;
  max-width: 550px;
  padding: 40px;
  border-radius: 8px;
  box-shadow: 0 4px 15px var(--shadow-color);
  margin: 20px;
  text-align: center;
  border: 1px solid #eee;
}
